#include "rdi_buckwalter.hpp"

namespace RDI
{

extern const std::vector<wchar_t> _arabic_letters_with_tashkeel =
{
    HAMZA           ,
    ALEF_MADDA      ,
    ALEF_HAMZA_ABOVE,
    WAW_HAMZA_ABOVE ,
    ALEF_HAMZA_BELOW,
    YEH_HAMZA_ABOVE ,
    ALEF_NO_HAMZA   ,
    BEH             ,
    TEH_MARBOOTA    ,
    TEH             ,
    THEH            ,
    JEEM            ,
    HAH             ,
    KHAH            ,
    DAL             ,
    THAL            ,
    REH             ,
    ZAIN            ,
    SEEN            ,
    SHEEN           ,
    SAD             ,
    DAD             ,
    TAH             ,
    ZAH             ,
    AIN             ,
    GHAIN           ,
    FEH             ,
    QAF             ,
    KAF             ,
    LAM             ,
    MEEM            ,
    NOON            ,
    HEH             ,
    WAW             ,
    YEH_NO_DOTS     ,
    YEH_WITH_DOTS   ,
    TATWEEL         ,
    TANWEEN_FATHA   ,
    TANWEEN_DAMA    ,
    TANWEEN_KASRA   ,
    FATHA           ,
    DAMA            ,
    KASRA           ,
    SHADA           ,
    SKOON
};
extern const std::vector<wchar_t> _arabic_tashkeel =
{
	TATWEEL         ,
	TANWEEN_FATHA   ,
	TANWEEN_DAMA    ,
	TANWEEN_KASRA   ,
	FATHA           ,
	DAMA            ,
	KASRA           ,
	SHADA           ,
	SKOON
};
extern const std::vector<wchar_t> _arabic_letters_without_tashkeel =
{
    HAMZA           ,
    ALEF_MADDA      ,
    ALEF_HAMZA_ABOVE,
    WAW_HAMZA_ABOVE ,
    ALEF_HAMZA_BELOW,
    YEH_HAMZA_ABOVE ,
    ALEF_NO_HAMZA   ,
    BEH             ,
    TEH_MARBOOTA    ,
    TEH             ,
    THEH            ,
    JEEM            ,
    HAH             ,
    KHAH            ,
    DAL             ,
    THAL            ,
    REH             ,
    ZAIN            ,
    SEEN            ,
    SHEEN           ,
    SAD             ,
    DAD             ,
    TAH             ,
    ZAH             ,
    AIN             ,
    GHAIN           ,
    FEH             ,
    QAF             ,
    KAF             ,
    LAM             ,
    MEEM            ,
    NOON            ,
    HEH             ,
    WAW             ,
    YEH_NO_DOTS     ,
    YEH_WITH_DOTS   ,

};
}
